/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\pets\WarHound.cs
Lines of code: 91
***********************************************************/


using System;
using Server.Mobiles;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "the remains of a war hound" )]
	public class WarHound : BaseMount
	{
		[Constructable] 
		public WarHound() : this( "a war wolf" )
		{
		}

		[Constructable]
		public WarHound( string name ) : base( name, 277, 0x3e91, AIType.AI_Animal, FightMode.Evil, 10, 1, 0.2, 0.4 )
		{

			BaseSoundID = 0x85;
			Hue = Utility.RandomList( 1157, 2424, 1109, 1644, 2401 );
			SetStr( 550, 950 );
			SetDex( 501, 610 );
			SetInt( 201, 312 );

			SetHits( 800, 1000 );

			SetDamage( 20, 27 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 30, 40 );
			SetResistance( ResistanceType.Fire, 50, 60 );
			SetResistance( ResistanceType.Cold, 60, 85 );
			SetResistance( ResistanceType.Energy, 10, 95 );
			SetResistance( ResistanceType.Poison, 45, 55 );

			SetSkill( SkillName.MagicResist, 50.0, 100.0 );
			SetSkill( SkillName.Tactics, 70.5, 100.0 );
			SetSkill( SkillName.Wrestling, 90.1, 110.0 );

			Tamable = true;
			ControlSlots = 4;
			MinTameSkill = 105.5;


			Fame = 22500;
			Karma = -22500;
			PackItem( new Bone( Utility.RandomMinMax( 13, 25 ) ) );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.UltraRich, 2 );
			AddLoot( LootPack.SuperBoss, 1 );
		}

		public override double GetControlChance( Mobile m )
		{
			if ( m.Skills.Tactics.Value >= 120.0 )
				return 1.0;

			return base.GetControlChance( m );
		}

		public override int GetAngerSound()
		{
			return 0x52D;
		}

		public override int GetIdleSound()
		{
			return 0x52C;
		}

		public override bool BardImmune{ get{ return !Core.SE; } }
		public override bool Unprovokable{ get{ return Core.SE; } }
		public override bool Uncalmable{ get{ return Core.SE; } }
		public override bool StatLossAfterTame{ get{ return true; } }
		public override int Meat{ get{ return 16; } }
		public override int Hides{ get{ return 60; } }
		public override bool CanAngerOnTame { get { return true; } }

		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 5 ) )
			{
				default:
				case 0: return WeaponAbility.BleedAttack;
				case 1: return WeaponAbility.CrushingBlow;
				case 2: return WeaponAbility.BleedAttack;
				case 4: return WeaponAbility.ShadowStrike;
				case 5: return WeaponAbility.ConcussionBlow;
			}
		}

		public WarHound( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}


		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}